Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.header
Class SoapActionHeader

    java.lang.Object
      org.teleal.cling.model.message.header.UpnpHeader<SoapActionType>
          org.teleal.cling.model.message.header.SoapActionHeader

    public class SoapActionHeader

extends UpnpHeader<SoapActionType>

Needs to also parse: "urn:schemas-upnp-org:control-1-0#QueryStateVariable"

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.header.UpnpHeader
`UpnpHeader.Type`

Constructor Summary
`SoapActionHeader()`
`SoapActionHeader(SoapActionType value)`
`SoapActionHeader(String s)`
`SoapActionHeader(URI uri)`

Method Summary
`String` | `getString()`
`void` | `setString(String s)`

Methods inherited from class org.teleal.cling.model.message.header.UpnpHeader
`getValue, newInstance, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoapActionHeader

    public SoapActionHeader()

### SoapActionHeader

    public SoapActionHeader(URI uri)

### SoapActionHeader

    public SoapActionHeader(SoapActionType value)

### SoapActionHeader

    public SoapActionHeader(String s)
                     throws InvalidHeaderException

Throws:
  `InvalidHeaderException`

Method Detail

### setString

    public void setString(String s)
                   throws InvalidHeaderException

  Specified by:
    `setString` in class `UpnpHeader<SoapActionType>`
  Throws:
    `InvalidHeaderException`

### getString

    public String getString()

  Specified by:
    `getString` in class `UpnpHeader<SoapActionType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.